<?php
    namespace Entity;

    use Enum\TypeSourceEnum;

    class Quote{

        private int $id;
        private string $content;
        private string $carac;
        private string $imgPath;
        private string $titleSrc;
        private string $dateSrc;
        private int $like;
        private string $langue;
        private TypeSourceEnum  $type;

        /**
         * @param int $id
         * @param string $content
         * @param string $carac
         * @param string $imgPath
         * @param string $titleSrc
         * @param string $dateSrc
         * @param int $like
         * @param string $langue
         */
        public function __construct(int $id, string $content, string $carac, string $imgPath, string $titleSrc, string $dateSrc, int $like, string $langue, TypeSourceEnum $type)
        {
            $this->id = $id;
            $this->content = $content;
            $this->carac = $carac;
            $this->imgPath = $imgPath;
            $this->titleSrc = $titleSrc;
            $this->dateSrc = $dateSrc;
            $this->like = $like;
            $this->langue = $langue;
            $this->type = $type;
        }

        /**
         * @return int
         */
        public function getId(): int
        {
            return $this->id;
        }

        /**
         * @param int $id
         */
        public function setId(int $id): void
        {
            $this->id = $id;
        }

        /**
         * @return string
         */
        public function getContent(): string
        {
            return $this->content;
        }

        /**
         * @param string $content
         */
        public function setContent(string $content): void
        {
            $this->content = $content;
        }

        /**
         * @return string
         */
        public function getCarac(): string
        {
            return $this->carac;
        }

        /**
         * @param string $carac
         */
        public function setCarac(string $carac): void
        {
            $this->carac = $carac;
        }

        /**
         * @return string
         */
        public function getImgPath(): string
        {
            return $this->imgPath;
        }

        /**
         * @param string $imgPath
         */
        public function setImgPath(string $imgPath): void
        {
            $this->imgPath = $imgPath;
        }

        /**
         * @return string
         */
        public function getTitleSrc(): string
        {
            return $this->titleSrc;
        }

        /**
         * @param string $titleSrc
         */
        public function setTitleSrc(string $titleSrc): void
        {
            $this->titleSrc = $titleSrc;
        }

        /**
         * @return string
         */
        public function getDateSrc(): string
        {
            return $this->dateSrc;
        }

        /**
         * @param string $dateSrc
         */
        public function setDateSrc(string $dateSrc): void
        {
            $this->dateSrc = $dateSrc;
        }

        /**
         * @return int
         */
        public function getLike(): int
        {
            return $this->like;
        }

        /**
         * @param int $like
         */
        public function setLike(int $like): void
        {
            $this->like = $like;
        }

        /**
         * @return string
         */
        public function getLangue(): string
        {
            return $this->langue;
        }

        /**
         * @param string $langue
         */
        public function setLangue(string $langue): void
        {
            $this->langue = $langue;
        }

        public function getType(): TypeSourceEnum{
            return $this->type;
        }

        public function setType(TypeSourceEnum $type){
            $this->type = $type;
        }

    }
?>
